module Comparable.Benchmark exposing (benchmark)

import Benchmark exposing (Benchmark)
import Comparable.Dict
import Dict


benchmark : Benchmark
benchmark =
    Benchmark.describe "Comparable"
        [ empty
        ]


empty : Benchmark
empty =
    Benchmark.compare "Dict.empty"
        "Core"
        (\() -> Dict.empty)
        "Comparable"
        (\() -> Comparable.Dict.empty)
